const todoForm = document.querySelector('form');
const todoInput = document.getElementById('txt-todo');
const todoList = document.getElementById('list-todo');

// Alle Elemente werden hier gespeichert
let todoElements = [];

todoForm.addEventListener('submit', function(e) {
    // Verhindert das Neuladen der Seite
    e.preventDefault();
    addElement();
});

function addElement() {
    const todoTxt = todoInput.value.trim();
    if (todoTxt.length > 0) {
        todoElements.push(todoTxt);
        updateList();
        todoInput.value = "";
    }
}

function updateList() {
    todoList.innerHTML = "";
    todoElements.forEach((todo, index) => {
        const todoElement = createItem(todo, index);
        todoList.append(todoElement);
    });
}

function createItem(item, index) {
    const todoListNode = document.createElement("li");
    const itemId = "item-" + index;
    todoListNode.className = "items-todo";

    todoListNode.innerHTML = `
        <input type="checkbox" id="${itemId}">
        <label class="custom-checkbox" for="${itemId}">
            <svg fill="transparent" xmlns="http://www.w3.org/2000/svg" height="24px" viewBox="0 -960 960 960" width="24px">
                <path d="M382-240 154-468l57-57 171 171 367-367 57 57-424 424Z"/>
            </svg>
        </label>
        <label for="${itemId}" class="item-text">
            ${item}
        </label>
        <button class="btn-delete">
            <svg fill="var(--secondary-color)" xmlns="http://www.w3.org/2000/svg" height="24px" viewBox="0 -960 960 960" width="24px">
                <path d="M280-120q-33 0-56.5-23.5T200-200v-520h-40v-80h200v-40h240v40h200v80h-40v520q0 33-23.5 56.5T680-120H280Zm400-600H280v520h400v-520ZM360-280h80v-360h-80v360Zm160 0h80v-360h-80v360ZM280-720v520-520Z"/>
            </svg>
        </button>
    `;

    // Event-Listener für das Löschen einer Aufgabe
    todoListNode.querySelector(".btn-delete").addEventListener("click", function() {
        removeElement(index);
    });

    return todoListNode;
}

function removeElement(index) {
    todoElements.splice(index, 1);
    updateList();
}
